package com.jpsoft.shinestar.modules.sys.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:sys_role_permission的实体类
 */
public class RolePermission {
	private String id;
	private String permId;
	private String roleId;
	private Boolean delFlag;
	private String createBy;
	private String updateBy;
	private Date createTime;
	private Date updateTime;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取
	 */
	public String getPermId(){
		return permId;
	}
	
	/**
	 *设置
	 */
	public void setPermId(String permId){
		this.permId = permId;
	}
		/**
	 *获取
	 */
	public String getRoleId(){
		return roleId;
	}
	
	/**
	 *设置
	 */
	public void setRoleId(String roleId){
		this.roleId = roleId;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
}